# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-

---
#
# root user
#

- name: (clustershell package) Install ClusterShell
  yum: name=clustershell state=latest

- name: (clush_id file) Add ClusterShell private key
  copy: src="{{ clusterhsell_private_key_file  }}" dest=/root/.ssh/clush_id owner=root group=root mode=600

- name: (groups)Configure ClusterShell hosts list  
  template: src=files/etc/clustershell/groups dest=/etc/clustershell/groups owner=root group=root mode=644

- name: (clush.conf) Add ClusterShell configuration
  copy: src=files/etc/clustershell/clush.conf dest=/etc/clustershell/clush.conf owner=root group=root mode=644

- name: (user=root) Add SSH keys for ClusterShell
  authorized_key: user=root key="{{ clustershell_public_key }}"
